"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findScene = void 0;
var findScene = function (stageObjects, primary, title) {
    if (!primary && !title) {
        return undefined;
    }
    if (primary && title) {
        return stageObjects.find(function (val) {
            return val.type === 'scene' && val.primary === primary && val.title === title;
        });
    }
    if (primary) {
        return stageObjects.find(function (val) {
            return val.type === 'scene' && val.primary === primary;
        });
    }
    if (title) {
        return stageObjects.find(function (val) {
            return val.type === 'scene' && val.title === title;
        });
    }
};
exports.findScene = findScene;
//# sourceMappingURL=scene-tools.js.map